%define fname	widgetsnbextension

Name:		python-widgetsnbextension
Summary:	IPython HTML widgets for Jupyter
Version:	3.5.1
Release:	%mkrel 1
Group:		Development/Python
License:	BSD
URL:		http://ipython.org/
Source0:	https://pypi.io/packages/source/w/%{fname}/%{fname}-%{version}.tar.gz
Patch0:         0001-use-setuptools.patch
BuildArch:	noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
Requires:       widgetsnbextension = %{version}-%{release}
Provides:       python3-%{fname} = %version-%release
Provides:       jupyter-widgetsnbextension = %version-%release


%description
Interactive HTML widgets for Jupyter notebooks.
This is the Python3 version.


%package -n widgetsnbextension
Summary:	IPython HTML widgets for Jupyter
Group:		Development/Python


%description -n widgetsnbextension
Interactive HTML widgets for Jupyter notebooks.
Common js files.


%prep
%autosetup -p1 -n %{fname}-%{version}


%build
%py3_build


%install
%py3_install

mv %{buildroot}/usr/etc %{buildroot}%{_sysconfdir}


%files
%{python3_sitelib}/*


%files -n widgetsnbextension
%config %{_sysconfdir}/jupyter/nbconfig/notebook.d/widgetsnbextension.json
%{_datadir}/jupyter/nbextensions/jupyter-js-widgets/extension.js
%{_datadir}/jupyter/nbextensions/jupyter-js-widgets/extension.js.map



%changelog
* Mon Feb 17 2020 daviddavid <daviddavid> 3.5.1-1.mga8
+ Revision: 1536961
- new version: 3.5.1

* Sun Feb 16 2020 umeabot <umeabot> 2.0.0-5.mga8
+ Revision: 1533979
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 2.0.0-4.mga8
+ Revision: 1446286
- rebuild for python3.8

* Sat Jan 12 2019 tmb <tmb> 2.0.0-3.mga7
+ Revision: 1355278
- rebuild for python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 2.0.0-2.mga7
+ Revision: 1290571
- Mageia 7 Mass Rebuild

* Tue Aug 15 2017 philippem <philippem> 2.0.0-1.mga7
+ Revision: 1140683
- update to 2.0.0, since ipython is py3 only, we provide only py3

* Sat Aug 05 2017 pterjan <pterjan> 1.2.6-2.mga7
+ Revision: 1135694
- Rebuild for python 3.6

* Tue Jul 19 2016 joequant <joequant> 1.2.6-1.mga6
+ Revision: 1042586
- upgrade to 1.2.6

* Wed May 04 2016 philippem <philippem> 1.2.2-1.mga6
+ Revision: 1009198
- update to 1.2.2

* Fri Apr 29 2016 philippem <philippem> 1.2.1-1.mga6
+ Revision: 1007703
- update to 1.2.1

* Wed Apr 20 2016 philippem <philippem> 1.0.0-1.mga6
+ Revision: 1003881
- imported package python-widgetsnbextension

